Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-sdl2/widget_combo.h File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Macros | Functions
widget_combo.h File Reference
`#include "gui_string.h"`

Go to the source code of this file.

## Macros

#define | combo_new_from_chars(background, dest, font_size, char_string, vector, length, flags)
#define | combo_new_from_chars_fonto(background, dest, fonto, char_string, vector, length, flags)

## Functions

struct widget * | combo_new (SDL_Surface *background, struct gui_layer *dest, utf8_str *pstr, const struct strvec *vector, int length, Uint32 flags)
void | combo_popup (struct widget *combo)
void | combo_popdown (struct widget *combo)

## Macro Definition Documentation

## ◆ combo_new_from_chars

#define combo_new_from_chars | ( |  | background,
|  |  | dest,
|  |  | font_size,
|  |  | char_string,
|  |  | vector,
|  |  | length,
|  |  | flags
| ) |  |

Value:
combo_new(background, dest, \
create_utf8_from_char(char_string, font_size), \
vector, length, flags)
incite_cost
char * incite_cost
Definition comments.c:74
create_utf8_from_char
#define create_utf8_from_char(string_in, ptsize)
Definition gui_string.h:103
combo_new
struct widget * combo_new(SDL_Surface *background, struct gui_layer *dest, utf8_str *pstr, const struct strvec *vector, int length, Uint32 flags)
Definition widget_combo.c:235

Definition at line 22 of file widget_combo.h.

## ◆ combo_new_from_chars_fonto

#define combo_new_from_chars_fonto | ( |  | background,
|  |  | dest,
|  |  | fonto,
|  |  | char_string,
|  |  | vector,
|  |  | length,
|  |  | flags
| ) |  |

Value:
combo_new(background, dest, \
create_utf8_from_char_fonto(char_string, fonto), \
vector, length, flags)
create_utf8_from_char_fonto
#define create_utf8_from_char_fonto(string_in, fonto)
Definition gui_string.h:108

Definition at line 28 of file widget_combo.h.

## Function Documentation

## ◆ combo_new()

struct widget * combo_new | ( | SDL_Surface * | background,
|  | struct gui_layer * | dest,
|  | utf8_str * | pstr,
|  | const struct strvec * | vector,
|  | int | length,
|  | Uint32 | flags
| ) |  |

Create a combo box widget.

Definition at line 235 of file widget_combo.c.

## ◆ combo_popdown()

void combo_popdown | ( | struct widget * | combo | ) |

Popdown the combo box widget.

Definition at line 212 of file widget_combo.c.

## ◆ combo_popup()

void combo_popup | ( | struct widget * | combo | ) |

Popup the combo box widget.

Definition at line 138 of file widget_combo.c.